function [V,cfinite]=addV(V,cfinite,A,b,m,cnmty)
%        
%     A x \geq b
% ( ,      )

   if ~cnmty %      -
      return;
   end

   if m==0 %     
      V=[V; 0 0 0];
      return;
   end

   for i=1:m

      %     i ( A(i,:)x=b(i))
      %      (x) 
      %    (y)  i
      [xi,At,bt,y1,y2]=ChangeVariable(A,b,i);

      %     At (   ,  i) 
      [At,bt,cnmtyt]=ClearZeroRows(At,bt);

      if ~cnmtyt
         continue; %  i    H
      end

      %    At(k,:)y=bt(k)   H   (y)
      %  St        
      % [ beginy1 beginy2 endy1 endy2 k ]
      [St]=BoundaryIntervals(At,bt);

      if size(St,1)==0 % 
         continue; %  i    H
      end

      % c    i   Vt
      %%       ,   
      %%       St 
      %% ( - ,  - )
      %%     R (    -Inf, Inf, NaN).

      Vt=St(:,1:2); %    

      xbf=isfinite(Vt(:,1));
      ybf=isfinite(Vt(:,2));
      binf=~min(xbf,ybf); %  St(binf,5)    
                          %    

      if max(binf)
         cfinite=0;
      end

      if i>3
         Vt(binf,:)=[]; %   
         Vtt=zeros(0,3); % Vtt -  Vt    (x)
         for k=1:size(Vt,1)
             Vtt=[Vtt ; xi+y1*Vt(k,1)+y2*Vt(k,2) ];
         end
         V=[V;Vtt];
      end

   end

end